The data-lens Reference Manual
******************************

This is the data-lens Reference Manual, generated automatically by Declt
version 3.0 "Montgomery Scott" on Wed Jan 06 14:19:05 2021 GMT-8.

1 Systems
*********

The main system appears first, followed by any subsystem dependency.

1.1 data-lens
=============

*Author*
     Edward Langley <<el-cl@elangley.org>>
*License*
     MIT
*Description*
     Utilities for building data transformations from composable
     functions, modeled on lenses and transducers
*Dependencies*
        • cl-ppcre
        • alexandria
        • serapeum
*Source*
     See data-lens.asd. (file)
*Components*
        • package.lisp.
          (file)
        • optics.lisp.
          (file)
        • lens.lisp. (file)

2 Files
*******

Files are sorted by type and then listed depth-first from the systems
components trees.

2.1 Lisp
========

2.1.1 data-lens.asd
-------------------

*Location*
     data-lens.asd
*Systems*
     See data-lens. (system)

2.1.2 data-lens/package.lisp
----------------------------

*Parent*
     See data-lens. (system)
*Location*
     package.lisp
*Packages*
        • data-lens.
        • data-lens.transducers.
        • data-lens.package.
        • data-lens.lenses.
        • data-lens.transducers.internals.

2.1.3 data-lens/optics.lisp
---------------------------

*Dependency*
     See package.lisp. (file)
*Parent*
     See data-lens. (system)
*Location*
     optics.lisp
*Exported Definitions*
        • make-alist-lens.
          (function)
        • make-hash-table-lens.
          (function)
        • make-list-lens.
          (function)
        • make-plist-lens.
          (function)
        • over.
          (function)
        • set.
          (function)
        • view.
          (function)
*Internal Definitions*
        • clone.
          (generic function)
        • clone.
          (method)
        • constant-.
          (class)
        • fmap.
          (generic function)
        • fmap.
          (method)
        • fmap.
          (method)
        • fmap.
          (method)
        • fmap.
          (method)
        • identity-.
          (class)
        • make-alist-history-lens.
          (function)
        • unconstant.
          (method)
        • unidentity.
          (method)
        • wrap-constant.
          (function)
        • wrap-identity.
          (function)

2.1.4 data-lens/lens.lisp
-------------------------

*Dependency*
     See optics.lisp. (file)
*Parent*
     See data-lens. (system)
*Location*
     lens.lisp
*Exported Definitions*
        • <>1. (macro)
        • ==. (function)
        • applicable-when.
          (function)
        • applying. (macro)
        • combine-matching-lists.
          (function)
        • compress-runs.
          (function)
        • cumsum. (function)
        • defun-ct. (macro)
        • denest. (function)
        • derive. (function)
        • element.
          (function)
        • exclude.
          (function)
        • extract-key.
          (generic function)
        • extract-key.
          (method)
        • extract-key.
          (method)
        • functionalize.
          (generic function)
        • functionalize.
          (method)
        • functionalize.
          (method)
        • functionalize.
          (method)
        • functionalize.
          (method)
        • include.
          (function)
        • juxt. (function)
        • key. (function)
        • key-transform.
          (function)
        • let-fn. (macro)
        • maximizing.
          (function)
        • of-length.
          (function)
        • of-max-length.
          (function)
        • of-min-length.
          (function)
        • on. (function)
        • over. (function)
        • pick. (function)
        • regex-match.
          (function)
        • shortcut. (macro)
        • slice. (function)
        • sorted. (function)
        • splice-elt.
          (function)
        • suffixp.
          (function)
        • transform-elt.
          (function)
        • transform-head.
          (function)
        • transform-tail.
          (function)
        • zipping.
          (function)
        • •. (macro)
*Internal Definitions*
        • =>>. (function)
        • cons-new.
          (function)
        • deduplicate.
          (function)
        • filler. (function)
        • matching-list-reducer.
          (function)
        • update. (function)
        • updatef. (macro)

3 Packages
**********

Packages are listed by definition order.

3.1 data-lens
=============

*Source*
     See package.lisp. (file)
*Use List*
     common-lisp
*Exported Definitions*
        • <>1. (macro)
        • ==. (function)
        • applicable-when.
          (function)
        • applying. (macro)
        • combine-matching-lists.
          (function)
        • compress-runs.
          (function)
        • cumsum. (function)
        • defun-ct. (macro)
        • denest. (function)
        • derive. (function)
        • element.
          (function)
        • exclude.
          (function)
        • extract-key.
          (generic function)
        • extract-key.
          (method)
        • extract-key.
          (method)
        • functionalize.
          (generic function)
        • functionalize.
          (method)
        • functionalize.
          (method)
        • functionalize.
          (method)
        • functionalize.
          (method)
        • include.
          (function)
        • juxt. (function)
        • key. (function)
        • key-transform.
          (function)
        • let-fn. (macro)
        • maximizing.
          (function)
        • of-length.
          (function)
        • of-max-length.
          (function)
        • of-min-length.
          (function)
        • on. (function)
        • over. (function)
        • pick. (function)
        • regex-match.
          (function)
        • shortcut. (macro)
        • slice. (function)
        • sorted. (function)
        • splice-elt.
          (function)
        • suffixp.
          (function)
        • transform-elt.
          (function)
        • transform-head.
          (function)
        • transform-tail.
          (function)
        • zipping.
          (function)
        • •. (macro)
*Internal Definitions*
        • =>>. (function)
        • cons-new.
          (function)
        • deduplicate.
          (function)
        • filler. (function)
        • matching-list-reducer.
          (function)
        • update. (function)
        • updatef. (macro)

3.2 data-lens.transducers
=========================

*Source*
     See package.lisp. (file)
*Use List*
     common-lisp
*Exported Definitions*
        • catting.
          (function)
        • collecting.
          (function)
        • compressing-runs.
          (function)
        • deduping.
          (function)
        • dropping.
          (function)
        • filtering.
          (function)
        • hash-table-select.
          (function)
        • iota.
          (function)
        • lazy-sequence.
          (function)
        • lazy-sequence.
          (class)
        • mapcatting.
          (function)
        • mapping.
          (function)
        • mv-filtering.
          (function)
        • mv-mapping.
          (function)
        • mv-selecting.
          (function)
        • repeating.
          (macro)
        • repeating*.
          (function)
        • splitting.
          (function)
        • taking.
          (function)
*Internal Definitions*
        • comment.
          (macro)
        • eduction.
          (function)
        • next.
          (generic function)
        • next.
          (method)
        • seq.
          (function)
        • transducer-lambda.
          (macro)

3.3 data-lens.package
=====================

*Source*
     See package.lisp. (file)
*Use List*
     common-lisp

3.4 data-lens.lenses
====================

*Source*
     See package.lisp. (file)
*Use List*
     common-lisp
*Exported Definitions*
        • make-alist-lens.
          (function)
        • make-hash-table-lens.
          (function)
        • make-list-lens.
          (function)
        • make-plist-lens.
          (function)
        • over.
          (function)
        • set.
          (function)
        • view.
          (function)
*Internal Definitions*
        • clone.
          (generic function)
        • clone.
          (method)
        • constant-.
          (class)
        • fmap.
          (generic function)
        • fmap.
          (method)
        • fmap.
          (method)
        • fmap.
          (method)
        • fmap.
          (method)
        • identity-.
          (class)
        • make-alist-history-lens.
          (function)
        • unconstant.
          (generic function)
        • unconstant.
          (method)
        • unidentity.
          (generic function)
        • unidentity.
          (method)
        • wrap-constant.
          (function)
        • wrap-identity.
          (function)

3.5 data-lens.transducers.internals
===================================

*Source*
     See package.lisp. (file)
*Use List*
     common-lisp
*Exported Definitions*
        • exit-early.
          (function)
        • init.
          (generic function)
        • init.
          (method)
        • init.
          (method)
        • init.
          (method)
        • reduce-generic.
          (generic function)
        • reduce-generic.
          (method)
        • reduce-generic.
          (method)
        • reduce-generic.
          (method)
        • reduce-generic.
          (method)
        • reduce-generic.
          (method)
        • stepper.
          (generic function)
        • stepper.
          (method)
        • stepper.
          (method)
        • stepper.
          (method)
        • transduce.
          (function)
        • unwrap.
          (generic function)
        • unwrap.
          (method)
        • unwrap.
          (method)
*Internal Definitions*
     See defdocumentation.
     (macro)

4 Definitions
*************

Definitions are sorted by export status, category, package, and then by
lexicographic order.

4.1 Exported definitions
========================

4.1.1 Macros
------------

 -- Macro: <>1 &rest FUNS
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Macro: applying FUN &rest ARGS
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Macro: defun-ct NAME (&rest ARGS) &body BODY
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Macro: let-fn (&rest BINDINGS) &body BODY
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Macro: repeating V
     *Package*
          See data-lens.transducers.
     *Source*
          lazy-sequence.lisp
 -- Macro: shortcut NAME FUNCTION &body BOUND-ARGS
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Macro: • &rest FUNS
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)

4.1.2 Functions
---------------

 -- Function: == TARGET &key TEST
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: applicable-when FUN TEST
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: catting ()
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: collecting COLLECTOR
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: combine-matching-lists &key TEST &allow-other-keys
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: compress-runs &key COLLECTOR TEST KEY
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: compressing-runs &key TEST COMBINER
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: cumsum &key ADD-FUN KEY COMBINE ZERO
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: deduping &optional TEST
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: denest &key RESULT-TYPE
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: derive DIFF-FUN &key KEY
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: dropping N
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: element NUM
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: exclude PRED
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: exit-early ACC
     *Package*
          See data-lens.transducers.internals.
     *Source*
          transducer-protocol.lisp
 -- Function: filtering FUNCTION &rest ARGS
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: hash-table-select HASH-TABLE
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: include PRED
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: iota &key START STEP COUNT
     *Package*
          See data-lens.transducers.
     *Source*
          lazy-sequence.lisp
 -- Function: juxt FUN1 &rest R
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: key KEY
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: key-transform FUN KEY-GET KEY-SET
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: lazy-sequence NEXT
     *Package*
          See data-lens.transducers.
     *Source*
          lazy-sequence.lisp
 -- Function: make-alist-lens KEY
     A lens for updating a alist, discarding previous values
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
 -- Function: make-hash-table-lens KEY
     A lens for updating a hash-table, discarding previous values
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
 -- Function: make-list-lens INDEX
     A lens for updating a sequence
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
 -- Function: make-plist-lens KEY
     A lens for updating a plist, preserving previous values
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
 -- Function: mapcatting FUN
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: mapping FUNCTION &rest ARGS
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: maximizing RELATION MEASURE
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: mv-filtering FUNCTION &rest ARGS
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: mv-mapping FUNCTION &rest ARGS
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: mv-selecting FUNCTION &rest ARGS
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: of-length LEN
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: of-max-length LEN
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: of-min-length LEN
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: on FUN KEY
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: over FUN &key RESULT-TYPE
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: over LENS CB REC
     Given a lens, a callback and a record, apply the lens to the
     record, transform it by the callback and return copy of the record,
     updated to contain the result of the callback.  This is the
     fundamental operation on a lens and SET and VIEW are implemented in
     terms of it.

     A lens is any function of the form (lambda (fun) (lambda (rec)
     ...))  that obeys the lens laws (where == is some reasonable
     equality operator):

     (== (view lens (set lens value rec))
     value)

     (== (set lens (view lens rec) rec)
     rec)

     (== (set lens value2 (set lens value1 rec))
     (set lens value2 rec))

     The inner lambda returns a functor that determines the policy to be
     applied to the focused part.  By default, this only uses IDENTITY-
     and CONSTANT- in order to implement the lens operations over, set
     and view.

     If these conditions are met, (over (data-lens:<>1 lens1 lens2) ...)
     is equivalent to using lens2 to focus the part lens1 focuses: note
     that composition is "backwards" from what one might expect: this is
     because composition composes the wrapper lambdas and applies the
     lambda that actually pulls a value out of a record later.
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
 -- Function: pick SELECTOR
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: regex-match REGEX
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: repeating* V &key COUNT
     *Package*
          See data-lens.transducers.
     *Source*
          lazy-sequence.lisp
 -- Function: set LENS V REC
     Given a lens, a value and a rec, immutably update the rec to
     contain the new value at the location focused by the lens.
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
 -- Function: slice START &optional END
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: sorted COMPARATOR &rest R &key KEY
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: splice-elt ELT FUN
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: splitting &rest FUNCTIONS
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: suffixp SUFFIX &key TEST
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: taking N
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: transduce XF BUILD SEQ
     *Package*
          See data-lens.transducers.internals.
     *Source*
          transducer-protocol.lisp
 -- Function: transform-elt ELT FUN
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: transform-head FUN
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: transform-tail FUN
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: view LENS REC
     Given a lens and a rec, return the focused value
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
 -- Function: zipping RESULT-TYPE &key FILL-VALUE
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)

4.1.3 Generic functions
-----------------------

 -- Generic Function: extract-key MAP KEY
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
     *Methods*
           -- Method: extract-key (MAP hash-table) KEY
           -- Method: extract-key (MAP list) KEY
 -- Generic Function: functionalize IT
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
     *Methods*
           -- Method: functionalize (IT hash-table)
           -- Method: functionalize (IT vector)
           -- Method: functionalize (IT symbol)
           -- Method: functionalize (IT function)
 -- Generic Function: init CLIENT
     *Package*
          See data-lens.transducers.internals.
     *Source*
          transducer-protocol.lisp
     *Methods*
           -- Method: init (IT (eql list-builder))
               *Source*
                    transducers.lisp
           -- Method: init (IT (eql vector-builder))
               *Source*
                    transducers.lisp
           -- Method: init (IT (eql hash-table-builder))
               *Source*
                    transducers.lisp
 -- Generic Function: reduce-generic SEQ FUNC INIT
     *Package*
          See data-lens.transducers.internals.
     *Source*
          transducer-protocol.lisp
     *Methods*
           -- Method: reduce-generic (SEQ lazy-sequence) (FUNC function)
                    INIT
               *Source*
                    lazy-sequence.lisp
           -- Method: reduce-generic (SEQ sequence) (FUNC function) INIT
           -- Method: reduce-generic (SEQ sequence) (FUNC symbol) INIT
           -- Method: reduce-generic SEQ (FUNC symbol) INIT
           -- Method: reduce-generic (SEQ hash-table) (FUNC function)
                    INIT
 -- Generic Function: stepper CLIENT
     *Package*
          See data-lens.transducers.internals.
     *Source*
          transducer-protocol.lisp
     *Methods*
           -- Method: stepper (IT (eql list-builder))
               *Source*
                    transducers.lisp
           -- Method: stepper (IT (eql vector-builder))
               *Source*
                    transducers.lisp
           -- Method: stepper (IT (eql hash-table-builder))
               *Source*
                    transducers.lisp
 -- Generic Function: unwrap CLIENT OBJ
     *Package*
          See data-lens.transducers.internals.
     *Source*
          transducer-protocol.lisp
     *Methods*
           -- Method: unwrap (IT (eql list-builder)) OBJ
               *Source*
                    transducers.lisp
           -- Method: unwrap CLIENT OBJ

4.1.4 Classes
-------------

 -- Class: lazy-sequence ()
     *Package*
          See data-lens.transducers.
     *Source*
          lazy-sequence.lisp
     *Direct superclasses*
          standard-object (class)
     *Direct methods*
             • reduce-generic.
               (method)
             • next.
               (method)
     *Direct slots*
           -- Slot: %next
               *Initargs*
                    :next
               *Readers*
                    See next.
                    (generic function)

4.2 Internal definitions
========================

4.2.1 Macros
------------

 -- Macro: comment &body BODY
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Macro: defdocumentation NAME &body DOC-SPECS
     *Package*
          See data-lens.transducers.internals.
     *Source*
          transducer-protocol.lisp
 -- Macro: transducer-lambda &body ((TWO-ARG-ACC TWO-ARG-NEXT) &body
          TWO-ARG-BODY)
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Macro: updatef PLACE FUN &rest ARGS
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)

4.2.2 Functions
---------------

 -- Function: =>> FUN1 FUN2
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: cons-new &key TEST KEY
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: deduplicate &optional TEST
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: eduction XF SEQ
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: filler LENGTH1 LENGTH2 FILL-VALUE
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: make-alist-history-lens KEY
     A lens for updating a alist, preserving previous values
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
 -- Function: matching-list-reducer TEST ACC NEXT
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: seq A B
     *Package*
          See data-lens.transducers.
     *Source*
          transducers.lisp
 -- Function: update THING FUN &rest ARGS
     *Package*
          See data-lens.
     *Source*
          See lens.lisp. (file)
 -- Function: wrap-constant V
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
 -- Function: wrap-identity V
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)

4.2.3 Generic functions
-----------------------

 -- Generic Function: clone OBJ &rest NEW-INITARGS &key
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
     *Methods*
           -- Method: clone OBJ &rest NEW-INITARGS &key around
 -- Generic Function: fmap FUNCTION DATA
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
     *Methods*
           -- Method: fmap FUNCTION (DATA identity-)
           -- Method: fmap FUNCTION (DATA constant-)
           -- Method: fmap FUNCTION (DATA list)
           -- Method: fmap FUNCTION (DATA vector)
 -- Generic Function: next OBJECT
     *Package*
          See data-lens.transducers.
     *Methods*
           -- Method: next (LAZY-SEQUENCE lazy-sequence)
               automatically generated reader method
               *Source*
                    lazy-sequence.lisp
 -- Generic Function: unconstant OBJECT
     *Package*
          See data-lens.lenses.
     *Methods*
           -- Method: unconstant (CONSTANT- constant-)
               automatically generated reader method
               *Source*
                    See optics.lisp.
                    (file)
 -- Generic Function: unidentity OBJECT
     *Package*
          See data-lens.lenses.
     *Methods*
           -- Method: unidentity (IDENTITY- identity-)
               automatically generated reader method
               *Source*
                    See optics.lisp.
                    (file)

4.2.4 Classes
-------------

 -- Class: constant- ()
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
     *Direct superclasses*
          standard-object (class)
     *Direct methods*
             • fmap.
               (method)
             • print-object (method)
             • unconstant.
               (method)
     *Direct slots*
           -- Slot: %v
               *Initargs*
                    :value
               *Readers*
                    See unconstant.
                    (generic function)
 -- Class: identity- ()
     *Package*
          See data-lens.lenses.
     *Source*
          See optics.lisp.
          (file)
     *Direct superclasses*
          standard-object (class)
     *Direct methods*
             • fmap.
               (method)
             • print-object (method)
             • unidentity.
               (method)
     *Direct slots*
           -- Slot: %v
               *Initargs*
                    :value
               *Readers*
                    See unidentity.
                    (generic function)

Appendix A Indexes
******************